> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external wallets for a user

> Get external wallets for a user



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users/{userId}/wallets/external
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/wallets/external:
    get:
      tags:
        - Wallet
      summary: Get external wallets for a user
      description: Get external wallets for a user
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/ExternalWalletsObjectResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
  responses:
    ExternalWalletsObjectResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ExternalWalletsObject'
          examples:
            ExternalWalletObjectListExample:
              $ref: '#/components/examples/ExternalWalletObjectListExample'
  schemas:
    ExternalWalletsObject:
      type: object
      properties:
        count:
          type: integer
        externalWallets:
          type: array
          items:
            $ref: '#/components/schemas/ExternalWalletObject'
        nextCursor:
          type: string
          description: >-
            The `createdAt` timestamp of the last record in the current page.
            Pass this as `createdBefore` in the next request to retrieve the
            next page of results.
    ExternalWalletObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        chain:
          type: string
          enum:
            - POLYGON
            - SOLANA
            - ETHEREUM
            - BASE
            - TRON
        name:
          type: string
        address:
          type: string
        referenceId:
          type: string
        active:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
  examples:
    ExternalWalletObjectListExample:
      summary: External Wallet Object List
      value:
        count: 1
        externalWallets:
          - address: '0xFE5ea74612ba174BaF7FC4C45f05dB7fF73aBA21'
            chain: POLYGON
            name: my-wallet
            referenceId: my-wallet-reference-id
            createdAt: '2025-09-24T19:03:41.107Z'
        nextCursor: '2025-09-24T19:03:41.107Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````